# class PartSelectEvent

###

Module | kparts
Namespace | KParts
Class | PartSelectEvent
Inherits | KParts::Event

This event is sent when a part is selected or deselected.

See also KParts.PartManager.setSelectionPolicy

### methods

- PartSelectEvent (selected, part, widget)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  selected | bool |
  part | KParts.Part |
  widget | QWidget |

- part ( )

  returns KParts.Part

- selected ( )

  returns bool

- test (event)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  event | QEvent |

- widget ( )

  returns QWidget